Gecode::Int::LDSB::LDSBChoice< Val > Class Template Reference

Choice storing position and value, and symmetric literals to be excluded on the right branch. More...

`#include <ldsb.hh>`

## Public Member Functions

| LDSBChoice (const Brancher &b, unsigned int a, const Pos &p, const Val &n, const Literal *literals, int nliterals)
| Initialize choice for brancher b, position p, value n, and set of literals literals (of size nliterals).
| ~LDSBChoice (void)
| Destructor.
const Literal * | literals (void) const
| Return literals.
int | nliterals (void) const
| Return number of literals.
virtual void | archive (Archive &e) const
| Archive into e.
Public Member Functions inherited from Gecode::PosValChoice< Val >
| PosValChoice (const Brancher &b, unsigned int a, const Pos &p, const Val &n)
| Initialize choice for brancher b, number of alternatives a, position p, and value n.
const Val & | val (void) const
Public Member Functions inherited from Gecode::PosChoice
| PosChoice (const Brancher &b, unsigned int a, const Pos &p)
| Initialize choice for brancher b, number of alternatives a, and position p.
const Pos & | pos (void) const
| Return position in array.
Public Member Functions inherited from Gecode::Choice
unsigned int | alternatives (void) const
| Return number of alternatives.
virtual | ~Choice (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Member Functions inherited from Gecode::PosChoice
| PosChoice (const PosChoice &c)
| Initialize.
Protected Member Functions inherited from Gecode::Choice
| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Detailed Description

template<class Val>
class Gecode::Int::LDSB::LDSBChoice< Val >

Choice storing position and value, and symmetric literals to be excluded on the right branch.

Definition at line 301 of file ldsb.hh.

## Constructor & Destructor Documentation

## LDSBChoice()

template<class Val>

Gecode::Int::LDSB::LDSBChoice< Val >::LDSBChoice | ( | const Brancher & | b,
|  | unsigned int | a,
|  | const Pos & | p,
|  | const Val & | n,
|  | const Literal * | literals,
|  | int | nliterals )

inline

Initialize choice for brancher b, position p, value n, and set of literals literals (of size nliterals).

Definition at line 59 of file brancher.hpp.

## ~LDSBChoice()

template<class Val>

Gecode::Int::LDSB::LDSBChoice< Val >::~LDSBChoice | ( | void |  | ) |

Destructor.

Definition at line 66 of file brancher.hpp.

## Member Function Documentation

## literals()

template<class Val>

const Literal * Gecode::Int::LDSB::LDSBChoice< Val >::literals | ( | void |  | ) | const

inline

Return literals.

Definition at line 72 of file brancher.hpp.

## nliterals()

template<class Val>

int Gecode::Int::LDSB::LDSBChoice< Val >::nliterals | ( | void |  | ) | const

inline

Return number of literals.

Definition at line 76 of file brancher.hpp.

## archive()

template<class Val>

void Gecode::Int::LDSB::LDSBChoice< Val >::archive | ( | Archive & | e | ) | const

virtual

Archive into e.

Reimplemented from Gecode::PosValChoice< Val >.

Definition at line 80 of file brancher.hpp.

The documentation for this class was generated from the following files:

- gecode/int/ldsb.hh
- gecode/int/ldsb/brancher.hpp